%define upstream_name    Spork
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Slide Presentations (Only Really Kwiki)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
# Some bugs were fixed with IO::All in recent versions, that prevent building
# this package.
BuildRequires: perl(IO::All) >= 0.540.0
BuildRequires: perl(Kwiki)
BuildRequires: perl(Kwiki::Cache)
BuildRequires: perl(Spoon)
BuildArch: noarch

%description
Spork lets you create HTML slideshow presentations easily. It comes with a
sample slideshow. All you need is a text editor, a browser and a topic.

Spork allows you create an entire slideshow by editing a single file called
'Spork.slides' (by default). Each slide is created using a minimal markup
language similar to the syntax used in Kwiki wikis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_bindir}/spork
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jan 21 2014 shlomif <shlomif> 0.210.0-6.mga4
+ Revision: 567346
- Update the dependency on IO::All

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-5.mga4
+ Revision: 514703
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-4.mga3
+ Revision: 372686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 shlomif <shlomif> 0.210.0-3.mga2
+ Revision: 174961
- Add CGI to the BuildRequires: - it is required.
- Normalized the files section
- imported package perl-Spork


* Fri Nov 18 2011 cpan2dist 0.21-1mga
- initial mageia release, generated with cpan2dist
